## org.apache.lucene.queryParser.standard.config
Interface LowercaseExpandedTermsAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  LowercaseExpandedTermsAttributeImpl

    public interface LowercaseExpandedTermsAttribute

extends org.apache.lucene.util.Attribute

This attribute is used by processor `ParametricRangeQueryNodeProcessor` and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default `Locale` used to parse a date.

Method Summary
`boolean` `isLowercaseExpandedTerms()`
`void` `setLowercaseExpandedTerms(boolean lowercaseExpandedTerms)`

Method Detail

### setLowercaseExpandedTerms

    void setLowercaseExpandedTerms(boolean lowercaseExpandedTerms)

### isLowercaseExpandedTerms

    boolean isLowercaseExpandedTerms()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.